Package groovy.util

# Class ScriptException

java.lang.Object
java.lang.Throwable
java.lang.Exception
groovy.util.ScriptException

All Implemented Interfaces:
  `Serializable`

public class ScriptException extends Exception

Author:
  sam
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ScriptException()`
`ScriptException(String message)`
`ScriptException(String message, Throwable cause)`
`ScriptException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ScriptException

public ScriptException()

### ScriptException

public ScriptException(String message)

Parameters:
  `message` -

### ScriptException

public ScriptException(String message, Throwable cause)

Parameters:
  `message` -
  `cause` -

### ScriptException

public ScriptException(Throwable cause)

Parameters:
  `cause` -